Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Adapter_Registry Class Reference

`#include <Adapter.h>`

Collaboration diagram for TAO_Adapter_Registry:

[legend]
List of all members.

## Public Methods
| TAO_Adapter_Registry (TAO_ORB_Core *orb_core)
| ~TAO_Adapter_Registry (void)
| Close the.
void | close (int wait_for_completion ACE_ENV_ARG_DECL) throw ()
void | check_close (int wait_for_completion ACE_ENV_ARG_DECL) throw ()
void | insert (TAO_Adapter *adapter ACE_ENV_ARG_DECL)
| Insert a new adapter into the registry.
void | dispatch (TAO::ObjectKey &key, TAO_ServerRequest &request, CORBA::Object_out forward_to ACE_ENV_ARG_DECL) throw (CORBA::SystemException)
CORBA::Object_ptr | create_collocated_object (TAO_Stub *, const TAO_MProfile &)
| Create a collocated object using the given profile and stub.
CORBA::Long | initialize_collocated_object (TAO_Stub *, CORBA::Object_ptr o)
TAO_Adapter * | find_adapter (const char *name) const
| Fetch the adapter named <name>.
## Private Attributes
TAO_ORB_Core * | orb_core_
| The ORB Core.
size_t | adapters_capacity_
| A simple array of adapters.
size_t | adapters_count_
TAO_Adapter ** | adapters_

## Constructor & Destructor Documentation

TAO_Adapter_Registry::TAO_Adapter_Registry | ( | TAO_ORB_Core * | orb_core | ) |

TAO_Adapter_Registry::~TAO_Adapter_Registry | ( | void |  | ) |

| Close the.

## Member Function Documentation

void TAO_Adapter_Registry::check_close | ( | int wait_for_completion | ACE_ENV_ARG_DECL | ) | throw ()

| Verify if the close() call can be invoked in the current context for *all* adapters. Raise the right exception if not.

void TAO_Adapter_Registry::close | ( | int wait_for_completion | ACE_ENV_ARG_DECL | ) | throw ()

| Close each of of the Adapters and then cleanup the Registry. It is possible that an Adapter will reject a close() call if it is invoked in an innapropriate context (think shutting down the POA while performing an upcall).

CORBA::Object_ptr TAO_Adapter_Registry::create_collocated_object | ( | TAO_Stub * | ,
|  | const TAO_MProfile & |
| ) |

| Create a collocated object using the given profile and stub.

void TAO_Adapter_Registry::dispatch | ( | TAO::ObjectKey & | key,
|  | TAO_ServerRequest & | request,
|  | CORBA::Object_out forward_to | ACE_ENV_ARG_DECL
| ) | throw (CORBA::SystemException)

| Dispatch the request to all the adapters. It tries the adapters ordered by priority, stopping when the adapter returns a status different from DS_MISMATCHED_KEY

TAO_Adapter * TAO_Adapter_Registry::find_adapter | ( | const char * | name | ) | const

| Fetch the adapter named <name>.

CORBA::Long TAO_Adapter_Registry::initialize_collocated_object | ( | TAO_Stub * | ,
|  | CORBA::Object_ptr | o
| ) |

| Initialize a collocated object using the given stub and object pointer for lazily evaluated object references.

void TAO_Adapter_Registry::insert | ( | TAO_Adapter *adapter | ACE_ENV_ARG_DECL | ) |

| Insert a new adapter into the registry.

## Member Data Documentation

TAO_Adapter** TAO_Adapter_Registry::adapters_`[private]`

size_t TAO_Adapter_Registry::adapters_capacity_`[private]`

| A simple array of adapters.

size_t TAO_Adapter_Registry::adapters_count_`[private]`

TAO_ORB_Core* TAO_Adapter_Registry::orb_core_`[private]`

| The ORB Core.

The documentation for this class was generated from the following files:

- Adapter.h
- Adapter.cpp